#if !defined(AFX_ICONBUTTON_H__FB1C1618_4D8C_4A8D_8B31_151FA871D34D__INCLUDED_)
#define AFX_ICONBUTTON_H__FB1C1618_4D8C_4A8D_8B31_151FA871D34D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// IconButton.h : header file
//

// Return values
#ifndef	BTNST_OK
#define	BTNST_OK						0
#endif
#ifndef	BTNST_INVALIDRESOURCE
#define	BTNST_INVALIDRESOURCE			1
#endif
#ifndef	BTNST_FAILEDMASK
#define	BTNST_FAILEDMASK				2
#endif
#ifndef	BTNST_INVALIDINDEX
#define	BTNST_INVALIDINDEX				3
#endif
#ifndef	BTNST_INVALIDALIGN
#define	BTNST_INVALIDALIGN				4
#endif


/////////////////////////////////////////////////////////////////////////////
// CIconButton window

class CIconButton : public CButton
{
private:
	HICON m_hIcon;
	DWORD m_dwWidth;
	DWORD m_dwHeight;
	COLORREF m_crBtnFace;
	COLORREF m_crBtnText;
	BYTE m_byAlign;

	//void DrawTheIcon(CDC* pDC, BOOL bHasTitle, RECT* rpItem, CRect* rpTitle, BOOL bIsPressed, BOOL bIsDisabled);
// Construction
public:
	CIconButton();

    enum	{	ST_ALIGN_HORIZ	= 0,			// Icon/bitmap on the left, text on the right
				ST_ALIGN_VERT,					// Icon/bitmap on the top, text on the bottom
				ST_ALIGN_HORIZ_RIGHT			// Icon/bitmap on the right, text on the left
			};

	DWORD SetDefaultColors();
	DWORD SetAlign(BYTE byAlign, BOOL bRepaint = TRUE);
// Attributes
public:

// Operations
public:
	DWORD SetIcon(int nIconIn, CSize sizeIn = CSize(32,32));
	DWORD SetIcon(HICON hIconIn, CSize sizeIn = CSize(32,32));

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIconButton)
	public:
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	protected:
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL


// Implementation
public:
	virtual ~CIconButton();

	// Generated message map functions
protected:
	//{{AFX_MSG(CIconButton)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()

	DWORD OnDrawBorder(CDC* pDC, LPCRECT pRect);
	DWORD OnDrawBackground(CDC* pDC, LPCRECT pRect);
	void DrawTheIcon(CDC* pDC, BOOL bHasTitle, RECT* rpItem, CRect* rpTitle);
	void PrepareImageRect(BOOL bHasTitle, RECT* rpItem, CRect* rpTitle, DWORD dwWidth, DWORD dwHeight, CRect* rpImage);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ICONBUTTON_H__FB1C1618_4D8C_4A8D_8B31_151FA871D34D__INCLUDED_)
