// ItemNameDlg.cpp : implementation file
//

#include "stdafx.h"
#include "MemoKing.h"
#include "ItemNameDlg.h"
#include "Utils.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CItemNameDlg dialog


CItemNameDlg::CItemNameDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CItemNameDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CItemNameDlg)
	m_strName = _T("");
	//}}AFX_DATA_INIT
}


void CItemNameDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CItemNameDlg)
	DDX_Text(pDX, IDC_ITEM_NAME, m_strName);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CItemNameDlg, CDialog)
	//{{AFX_MSG_MAP(CItemNameDlg)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CItemNameDlg message handlers

BOOL CItemNameDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	CWnd* pWnd = GetDlgItem(IDC_ITEM_NAME);
	pWnd->SetFocus();
	((CEdit*)pWnd)->SetSel(0, -1);
	SHSipPreference(GetSafeHwnd(), SIP_UP);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CItemNameDlg::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	CString strMsg;
	strMsg.LoadString(IDS_CHANGE_NAME);
	::PaintHeader(dc, strMsg);
}
