#if !defined(AFX_ITEMATTRDLG_H__1D2ADC17_6784_449A_AFE3_6991857DEA0B__INCLUDED_)
#define AFX_ITEMATTRDLG_H__1D2ADC17_6784_449A_AFE3_6991857DEA0B__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// ItemAttrDlg.h : header file
//

class CTemplate;

/////////////////////////////////////////////////////////////////////////////
// CTemplateSetupDlg dialog

class CTemplateSetupDlg : public CDialog
{
// Construction
public:
	CTemplateSetupDlg(CTemplate* pTemplate, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTemplateSetupDlg)
	enum { IDD = IDD_ITEM_ATTR };
	CTabCtrl	m_wndItemTab;
	CComboBox	m_wndFontList;
	CButton	m_btnClearType;
	//CColourPicker m_btnColor;
	CComboBox	m_wndAlignList;
	CButton	m_btnItalic;
	CButton	m_btnBold;
	CButton	m_btnShowInQuestion;
	CButton	m_btnShowInAnswer;
	UINT	m_uiUpperMargin;
	UINT	m_uiFontSize;
	//}}AFX_DATA

	bool IsNeedFontRebuild() const 
	{
		return m_bFontMod;
	}
	CTemplate* GetTemplate() const { return m_pTemplate; }
	
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTemplateSetupDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
	void OnOK();

	void UpdateDlgItem(UINT uiIndex);
	void InitFont(int nIndex);
	void UpdateSampleView();

// Implementation
protected:
	CTemplate* m_pTemplate;
	bool m_bFontMod;
	CFont m_fntSample;

	// Generated message map functions
	//{{AFX_MSG(CTemplateSetupDlg)
	afx_msg void OnPaint();
	virtual BOOL OnInitDialog();
	afx_msg void OnChangeName();
	afx_msg void OnShowInQuestion();
	afx_msg void OnShowInAnswer();
	afx_msg void OnBoldCheck();
	afx_msg void OnItalicCheck();
	afx_msg void OnSelchangeAlign();
	afx_msg void OnChangeFontSize();
	afx_msg void OnChangeUpperMargin();
	afx_msg void OnDestroy();
	afx_msg void OnClearType();
	afx_msg void OnImportTemplate();
	afx_msg void OnExportTemplate();
	afx_msg void OnSelchangeFontList();
	afx_msg void OnSelchangeItemTab(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnChangeColor();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	//LRESULT OnSelEndOK(WPARAM wParam, LPARAM lParam);

	void SelectCurrentFont(UINT uiIndex);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ITEMATTRDLG_H__1D2ADC17_6784_449A_AFE3_6991857DEA0B__INCLUDED_)
