// EditCardDlg.cpp : implementation file
//
#include "stdafx.h"
#include "define.h"
#include "resource.h"
#include "EditCardDlg.h"
#include "Card.h"
#include "Template.h"
#include "Utils.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEditCardDlg dialog


CEditCardDlg::CEditCardDlg(CCard* pCard, const CTemplate* pTemplate, CWnd* pParent /*=NULL*/)
	: CDialog(CEditCardDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEditCardDlg)
	m_strName1 = pTemplate->GetItemName(0);
	m_strValue1 = pCard->GetWord(0);
	m_strName2 = pTemplate->GetItemName(1);
	m_strValue2 = pCard->GetWord(1);
	m_strName3 = pTemplate->GetItemName(2);
	m_strValue3 = pCard->GetWord(2);
	m_strName4 = pTemplate->GetItemName(3);
	m_strValue4 = pCard->GetWord(3);
	m_strName5 = pTemplate->GetItemName(4);
	m_strValue5 = pCard->GetWord(4);
	m_strName6 = pTemplate->GetItemName(5);
	m_strValue6 = pCard->GetWord(5);
	//}}AFX_DATA_INIT
}


void CEditCardDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditCardDlg)
	DDX_Text(pDX, IDC_ITEM1_NAME, m_strName1);
	DDX_Text(pDX, IDC_ITEM1_STRING, m_strValue1);
	DDX_Text(pDX, IDC_ITEM2_NAME, m_strName2);
	DDX_Text(pDX, IDC_ITEM2_STRING, m_strValue2);
	DDX_Text(pDX, IDC_ITEM3_NAME, m_strName3);
	DDX_Text(pDX, IDC_ITEM3_STRING, m_strValue3);
	DDX_Text(pDX, IDC_ITEM4_NAME, m_strName4);
	DDX_Text(pDX, IDC_ITEM4_STRING, m_strValue4);
	DDX_Text(pDX, IDC_ITEM5_NAME, m_strName5);
	DDX_Text(pDX, IDC_ITEM5_STRING, m_strValue5);
	DDX_Text(pDX, IDC_ITEM6_NAME, m_strName6);
	DDX_Text(pDX, IDC_ITEM6_STRING, m_strValue6);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEditCardDlg, CDialog)
	//{{AFX_MSG_MAP(CEditCardDlg)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditCardDlg message handlers

BOOL CEditCardDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	//SHSipPreference(GetSafeHwnd(), SIP_UP);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CEditCardDlg::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	CString strMsg;
	strMsg.LoadString(IDS_EDIT_CARD);
	::PaintHeader(dc, strMsg);
}
