#if !defined(AFX_STROKEVIEW_H__C28BAB03_DCC1_4BB6_9D6A_67D904DA3AB4__INCLUDED_)
#define AFX_STROKEVIEW_H__C28BAB03_DCC1_4BB6_9D6A_67D904DA3AB4__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// StrokeView.h : header file
//

#include "IconButton.h"

class CStrokeList;

/////////////////////////////////////////////////////////////////////////////
// CStrokeView window

class CStrokeView 
{
// Attributes
public:
	static const int BTN_WIDTH;
	//static const int BTN_HEIGTH;
	static const int DEFAULT_PEN_WIDTH;

// Implementation
public:
	CStrokeView();
	virtual ~CStrokeView();
	void Clear();

	void OnCommand(WPARAM wParam, LPARAM lParam);
	void OnLButtonDown(UINT nFlags, CPoint point);
	void OnLButtonUp(UINT nFlags, CPoint point);
	void OnMouseMove(UINT nFlags, CPoint point);
	int OnCreate(CWnd* pWnd);
	void OnPaint(CDC* pDC);
	void OnSize(UINT nType, int cx, int cy, DWORD dwButtonSize);
	void ShowView(BOOL bShow);
	COLORREF GetPenColor() const { return m_rgbPen; }
	void SetPenColor(COLORREF rgbPen);
	void SetPenWidth(int nPenWidth);
	int GetPenWidth() const { return m_nPenWidth; }

private:
	CWnd* m_pWnd;
	CStrokeList* m_pStrokeList;

	CPoint m_ptPrev;
	CPen m_penDraw;
	CIconButton m_btnClear;
	CIconButton m_btnUndo;
	COLORREF m_rgbPen;
	int m_nPenWidth;

	BOOL m_bShow;

	void RebuildPen();
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STROKEVIEW_H__C28BAB03_DCC1_4BB6_9D6A_67D904DA3AB4__INCLUDED_)
