#ifndef _DEFINE_H_INC

#define _DEFINE_H_INC

enum PROGRAM_MODE { STUDY_MODE, MEMORIZE_MODE, QUIZ_MODE };

#define MAX_ITEM 6

#define PEN_WIDTH 2

#define BUTTON_WIDTH 95
#define BUTTON_HEIGHT 18

//#define NUM_EXAMPLE 4
#define NUM_MIN_EXAMPLE 2
#define NUM_MAX_EXAMPLE 6
#define EXAM_BTN_WIDTH 25
#define EXAM_BTN_HEIGHT 18

#define OUTER_MARGIN 5


#define STATUS_BAR_HEIGHT 18
#define STROKE_VIEW_HEIGHT 70
//#define CLIENT_AREA_HEIGHT 268

#define ID_SHOW_ANSWER    50001
#define ID_SHOW_RIGHT     50002
#define ID_SHOW_WRONG     50003
#define ID_SHOW_PREV      50004
#define ID_SHOW_NEXT      50005

#define ID_ANSWER_1       50010
#define ID_ANSWER_2       50011
#define ID_ANSWER_3       50012
#define ID_ANSWER_4       50013
#define ID_ANSWER_5       50014
#define ID_ANSWER_6       50015
#define ID_ANSWER_PASS 50016

#define ID_STOP_AUTO      50020

#ifndef CLEARTYPE_QUALITY
#define CLEARTYPE_QUALITY 5
#endif

#define DEFAULT_FORMAT DT_SINGLELINE | DT_VCENTER | DT_NOPREFIX  

// default font
#define DEFAULT_FONT _T("Tahoma")
#define	DEF_SIZE	  12
#define	DEF_BOLD	  false
#define	DEF_CLEARTYPE false
#define DEF_ITALIC    false

#define MAX_ITEM_NAME 32

#define MK_FILE_TYPE 0x4B4A
#define MK_FILE_VER  0x0005			// [ȯ]   ߰Ǿ,   .

#define MKT_FILE_TYPE 0x544D

#define REG_PATH _T("SOFTWARE\\MemoKing")
#define REG_VALUE_STROKE_VIEW _T("StrokeView")
#define REG_VALUE_DICTIONARY_VIEW _T("DictionaryView")		// 2007-02-02 ߰
#define REG_VALUE_STATUS_ICON _T("StatusIcon")
#define REG_VALUE_TIME_LIMIT _T("TimeLimit")
#define REG_VALUE_SEQ_MEMO_MODE _T("SeqMemoMode")
#define REG_VALUE_NUM_EXAMPLE _T("NumExample")
#define REG_VALUE_QUIZ_FONT_SIZE _T("QuizFontSize")
#define REG_VALUE_WORD_WRAP _T("WordWrap")
#define REG_VALUE_BACK_COLOR _T("BackColor")
#define REG_VALUE_LAST_FILE _T("LastFile")
#define REG_VALUE_LAST_DATE_LOW _T("Data01")
#define REG_VALUE_LAST_DATE_HIGH _T("Data02")
#define REG_VALUE_AUTO_TIME_INTERVAL _T("TimeInterval")
#define REG_VALUE_AUTO_REPEAT _T("Repeat")
#define REG_VALUE_ATUO_START_FROM_FIRST _T("StartFirst")
#define REG_VALUE_PEN_COLOR _T("PenColor")
#define REG_VALUE_BUTTON_SIZE _T("ButtonSize")
#define REG_VALUE_PROGRAM_MODE _T("Mode")
#define REG_VALUE_PEN_WIDTH _T("PenWidth")
#define REG_VALUE_LAST_PATH _T("LastPath")

#endif