#if !defined(AFX_QUIZSETUP_H__60D94381_E655_4507_B127_7C2E96CB0619__INCLUDED_)
#define AFX_QUIZSETUP_H__60D94381_E655_4507_B127_7C2E96CB0619__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// QuizSetup.h : header file
//

class CQuizSetting;
class CTemplate;
/////////////////////////////////////////////////////////////////////////////
// CQuizSetupDlg dialog

class CQuizSetupDlg : public CDialog
{
// Construction
public:
	CQuizSetupDlg::CQuizSetupDlg(CQuizSetting* pQuizSetting, CTemplate* pTemplate, UINT uiMaxCards, CWnd* pParent =NULL);

// Dialog Data
	//{{AFX_DATA(CQuizSetupDlg)
	enum { IDD = IDD_QUIZ_SETUP };
	CComboBox	m_wndNumExample;
	CComboBox	m_wndQuestion;
	CComboBox	m_wndAnswer;
	UINT	m_nNumQuiz;
	UINT	m_uiFontSize;
	UINT	m_uiEndCardNum;
	UINT	m_uiStartCardNum;
	BOOL	m_bInternalExam;
	BOOL	m_bQuizResultSync;
	//}}AFX_DATA

	BOOL IsNeedFontRebuild() const { return m_bRebuildFont; }

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CQuizSetupDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnOK();
	//}}AFX_VIRTUAL
// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CQuizSetupDlg)
	afx_msg void OnQuiz10();
	afx_msg void OnQuiz20();
	afx_msg void OnQuiz40();
	afx_msg void OnWholeCards();
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg void OnInternalExamMode();
	afx_msg void OnQuizResultSync();
	afx_msg void OnFromAllCards();
	afx_msg void OnFromMemorizedCards();
	afx_msg void OnFromNotMemorizedCards();
	afx_msg void OnFromSelectedCards();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void EableQuizRangeControls(BOOL bEnable);

	CQuizSetting* m_pQuizSetting;
	CTemplate* m_pTemplate;
	UINT m_uiMaxCards;
	BOOL m_bRebuildFont;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_QUIZSETUP_H__60D94381_E655_4507_B127_7C2E96CB0619__INCLUDED_)
